ChangeSet 1.1807.56.41, 2004/08/09 14:40:00-07:00, killekulla@rdrz.de

[PATCH] PCI: fix PCI access mode dependences in arch/i386/Kconfig again

While all ACPI stuff is deselected, and PCI access mode is set to "Any",
CONFIG_ACPI_BOOT is going to be set because of CONFIG_PCI_MMCONFIG.

If CONFIG_ACPI_BOOT is not allready set by other stuff, setting PCI access
mode to "Any" shouldn't set CONFIG_PCI_MMCONFIG.  Anyhow, setting PCI
access mode to "MMConfig" should select CONFIG_ACPI_BOOT.

Signed-off-by: Raphael Zimmerer <killekulla@rdrz.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 arch/i386/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/arch/i386/Kconfig b/arch/i386/Kconfig
--- a/arch/i386/Kconfig	2004-08-23 11:02:44 -07:00
+++ b/arch/i386/Kconfig	2004-08-23 11:02:44 -07:00
@@ -1105,7 +1105,7 @@
 
 config PCI_MMCONFIG
 	bool
-	depends on PCI && (PCI_GOMMCONFIG || (PCI_GOANY && ACPI_BOOT))
+	depends on PCI && (PCI_GOMMCONFIG || (PCI_GOANY && ACPI))
 	select ACPI_BOOT
 	default y
 
